List Transactions

Returns a normalized loyalty transaction ledger across wallet, points, vouchers, and sales. Example curl: ```bash curl --request POST '{{base_url}}/sp/transactions/list' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "location_id": {{location_id}}, "contact_id": {{contact_id}}, "event_types": ["wallet_adjustment"], "start_date": "2026-01-01", "end_date": "2026-12-31", "per_page": 25, "page": 1 }' ``` Example success response shape: ```json { "success": true, "message": "OK", "data": [ { "event_type": "wallet_adjustment", "contact_id": 456, "reference_id": "SP-WALLET-001", "amount": 20, "balance_after": 95, "created_at": "2026-04-06 12:00:00" } ], "meta": { "pagination": { "total": 1, "per_page": 25, "current_page": 1, "last_page": 1, "from": 1, "to": 1 } } } ``` Example error response shape: ```json { "success": false, "message": "Unauthorized.", "error": { "code": "unauthorized", "details": {} } } ``` Common platform errors: - `sp_scope_not_granted` - `sp_token_scope_missing` - `sp_location_not_allowed` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

200 OK Example
successboolean
messagestring
datalist of objects
metaobject